[SOLVED] ISPConfing update problem

Discussion in 'Installation/Configuration' started by wpshosting.com, May 26, 2018.

  1. Hello guys,
    I can't start update process to 3.1.12 version.
    When I start php -q update.php, system go in error and report this message:

    >> Update

    The patch command is missing. Install patch command and start update again.
     
  2. bch

    bch Member

    Try
    Code:
    apt install patch
     
    Last edited: May 28, 2018
  3. Hi bch, it's true...
    :mad:

    Thank you so much and have a nice week-end!
     
  4. ffab

    ffab New Member

    Hi,
    please allow to jump in this post...

    could you tell me why you use this method of update
    https://www.ispconfig.org/blog/ispconfig-3-1-12-released/
    Code:
    cd /tmp
    wget http://www.ispconfig.org/downloads/ISPConfig-3.1.12.tar.gz
    tar xvfz ISPConfig-3.1.12.tar.gz
    cd ispconfig3_install/install
    php -q update.php
    instead of this one ? (found every where on ISPConfig website)
    Code:
    ispconfig_update.sh
    I'm perplex. I'm new to ISPConfig, and a little worry about updating :)
    Thanks,
     
  5. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    don't worry, the ispconfig_update.sh basically just does the manual commands, except that you can choose with some fingertips wether to use svn or stable.
     
  6. ffab

    ffab New Member

    Hi, fine. Thanks for that quick answer.
    I will give th .sh a try !
    Regards,
    Fabrice
     
  7. Chris_UK

    Chris_UK Member HowtoForge Supporter

    Both methods of update work, however if you try ispconfig_update.sh and there is no update available for your current version then it will just notify you and exit the script. This may not be what you want, say if you are reconfiguring something then you need to use the manual download method.

    Maybe til can look into it and add in a flag something like ispconfig_update.sh -f to force an update and move away from the manual steps.
     
    ahrasis, till and ztk.me like this.
  8. ffab

    ffab New Member

    Hi again,
    just for the record : running
    ispconfig_update.sh
    from 3.1.11 to 3.1.12 did work perfectly in my case.
     
    ahrasis and till like this.
  9. nagami

    nagami New Member

    Loving this thread![​IMG]
     

Share This Page